This returns a RepliesResponse with comment_id, a replies array (same Comment shape), and a continuation token. You can also pass the replies_continuation value from a comment directly as the continuation query parameter.
Each comments page and each replies page costs 8 credits. Failed requests are not charged.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"ScrapeBadger","colors":{"primary":"#16A34A","light":"#22C55E","dark":"#15803D"},"logo":{"light":"https://mintcdn.com/scrapebadger/gnGR4eL2rEJ4E7w3/logo/light.png?fit=max\u0026auto=format\u0026n=gnGR4eL2rEJ4E7w3\u0026q=85\u0026s=d393e30b48870f8495f788d1fad76ad3","dark":"https://mintcdn.com/scrapebadger/pHswKIBb9VFWmUQY/logo/dark.png?fit=max\u0026auto=format\u0026n=pHswKIBb9VFWmUQY\u0026q=85\u0026s=a5c2b0f2229bc45c6de7fb33b2318941"},"favicon":"https://mintcdn.com/scrapebadger/q5UXhzQrMbsIglQS/favicon.png?fit=max\u0026auto=format\u0026n=q5UXhzQrMbsIglQS\u0026q=85\u0026s=cf0ec94b52375fd84ae198f26e812030","api":{"openapi":["https://scrapebadger.com/api/twitter-openapi.json","openapi-web-scraping.json","openapi-vinted.json","openapi-amazon.json","openapi-rufus.json","openapi-ebay.json","openapi-realtor.json","openapi-zillow.json","openapi-tiktok.json","openapi-reddit.json","openapi-google.json","openapi-account.json","openapi-github.json","openapi-autoscout24.json","openapi-brave.json","openapi-yelp.json","openapi-facebook.json"],"playground":{}},"navbar":{"links":[{"href":"mailto:support@scrapebadger.com","label":"Support"}],"primary":{"type":"button","label":"Dashboard","href":"https://scrapebadger.com/dashboard?utm_source=docs\u0026utm_medium=referral"}},"footer":{"socials":{"x":"https://x.com/scrapebadger","github":"https://github.com/scrape-badger"}},"styling":{"latex":true},"navigation":{"global":{"anchors":[{"anchor":"Dashboard","icon":"gauge","href":"https://scrapebadger.com/dashboard?utm_source=docs\u0026utm_medium=referral"},{"anchor":"Pricing","icon":"credit-card","href":"https://scrapebadger.com/pricing"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"scrapebadger","hasAudioNarration":false,"actualSubdomain":"scrapebadger","customDomains":["docs.scrapebadger.com"],"gitSource":{"type":"github","owner":"scrape-badger","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"entitlements":{},"buildId":"6af7bbf44ba45ee562164c7e","clientVersion":"0.0.4142","searchFilterCounts":[{"language":"default","tag":"Search","count":71},{"language":"default","tag":"Twitter","count":62},{"language":"default","tag":"Naver","count":56},{"language":"default","tag":"Google","count":50},{"language":"default","tag":"Overview","count":45},{"language":"default","tag":"Reference","count":40},{"language":"default","tag":"Endpoints","count":39},{"language":"default","tag":"TikTok","count":36},{"language":"default","tag":"Users","count":29},{"language":"default","tag":"Getting Started","count":22}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":".nav-tabs{min-width:0;overflow-x:auto;overscroll-behavior-x:contain;scrollbar-width:thin}.nav-tabs-item{flex-shrink:0;white-space:nowrap}"}],"page":{"pagePath":"api-reference/endpoint/youtube/video-comments","slug":"/api-reference/endpoint/youtube/video-comments","pageMetadata":{"title":"Video Comments","openapi":"GET /v1/youtube/videos/{video_id}/comments","description":"Top-level comments for a YouTube video, paginated by continuation token.","href":"/api-reference/endpoint/youtube/video-comments"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Top-level comments for a YouTube video, paginated by continuation token.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,..._provideComponents(),...props.components},{CodeBlock,Expandable,Heading,Note,ParamField,ResponseField,Table}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Note)_missingMdxReference(`Note`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);if(!Table)_missingMdxReference(`Table`,true);return _jsxs(_Fragment,{children:[_jsx(Heading,{level:`2`,id:`path-parameters`,children:`Path Parameters`}),`\n`,_jsx(ParamField,{path:`video_id`,type:`string`,required:true,id:`param-video-id`,children:_jsxs(_components.p,{children:[`The YouTube video id (e.g. `,_jsx(_components.code,{children:`dQw4w9WgXcQ`}),`).`]})}),`\n`,_jsx(Heading,{level:`2`,id:`query-parameters`,children:`Query Parameters`}),`\n`,_jsxs(ParamField,{query:`sort_by`,type:`string`,default:`top`,id:`param-sort-by`,children:[_jsx(_components.p,{children:`Comment sort order.`}),_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Value`}),_jsx(_components.th,{children:`Description`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`top`})}),_jsx(_components.td,{children:`Top comments (default)`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`newest`})}),_jsx(_components.td,{children:`Newest first`})]})]})]})]}),`\n`,_jsx(ParamField,{query:`continuation`,type:`string`,id:`param-continuation`,children:_jsx(_components.p,{children:`Continuation token from a previous response to fetch the next page of comments.`})}),`\n`,_jsx(Heading,{level:`2`,id:`response`,children:`Response`}),`\n`,_jsx(ResponseField,{name:`video_id`,type:`string`,id:`param-video-id-1`,children:`The video the comments belong to.`}),`\n`,_jsxs(ResponseField,{name:`comments`,type:`array`,id:`param-comments`,children:[_jsx(_components.p,{children:`Array of top-level comments.`}),_jsxs(Expandable,{title:`Comment object`,children:[_jsx(ResponseField,{name:`comment_id`,type:`string`,id:`param-comment-id`,children:`Unique comment id.`}),_jsx(ResponseField,{name:`text`,type:`string`,id:`param-text`,children:`Comment text (nullable).`}),_jsxs(ResponseField,{name:`published_time_text`,type:`string`,id:`param-published-time-text`,children:[`Relative publish time, e.g. `,_jsx(_components.code,{children:`2 weeks ago`}),` (nullable).`]}),_jsx(ResponseField,{name:`published_utc`,type:`number`,id:`param-published-utc`,children:`Unix publish timestamp (nullable).`}),_jsx(ResponseField,{name:`author`,type:`string`,id:`param-author`,children:`Author display name (nullable).`}),_jsx(ResponseField,{name:`author_channel_id`,type:`string`,id:`param-author-channel-id`,children:`Author channel id (nullable).`}),_jsx(ResponseField,{name:`author_channel_url`,type:`string`,id:`param-author-channel-url`,children:`Author channel URL (nullable).`}),_jsx(ResponseField,{name:`author_thumbnail`,type:`string`,id:`param-author-thumbnail`,children:`Author avatar URL (nullable).`}),_jsx(ResponseField,{name:`author_is_verified`,type:`boolean`,id:`param-author-is-verified`,children:`Whether the author is verified (nullable).`}),_jsx(ResponseField,{name:`author_is_artist`,type:`boolean`,id:`param-author-is-artist`,children:`Whether the author is an official artist (nullable).`}),_jsx(ResponseField,{name:`author_is_channel_owner`,type:`boolean`,id:`param-author-is-channel-owner`,children:`Whether the author is the video’s uploader (nullable).`}),_jsx(ResponseField,{name:`author_badges`,type:`array`,id:`param-author-badges`,children:`Author badges (e.g. member badges).`}),_jsx(ResponseField,{name:`like_count`,type:`integer`,id:`param-like-count`,children:`Number of likes (nullable).`}),_jsx(ResponseField,{name:`reply_count`,type:`integer`,id:`param-reply-count`,children:`Number of replies (nullable).`}),_jsx(ResponseField,{name:`has_creator_heart`,type:`boolean`,id:`param-has-creator-heart`,children:`Whether the creator hearted the comment (nullable).`}),_jsx(ResponseField,{name:`is_pinned`,type:`boolean`,id:`param-is-pinned`,children:`Whether the comment is pinned (nullable).`}),_jsx(ResponseField,{name:`is_reply`,type:`boolean`,id:`param-is-reply`,children:`Whether the comment is a reply (nullable).`}),_jsx(ResponseField,{name:`reply_to_cid`,type:`string`,id:`param-reply-to-cid`,children:`Parent comment id, if a reply (nullable).`}),_jsx(ResponseField,{name:`replies_continuation`,type:`string`,id:`param-replies-continuation`,children:`Token to fetch this comment’s replies (nullable).`}),_jsx(ResponseField,{name:`paid_comment_amount`,type:`string`,id:`param-paid-comment-amount`,children:`Super Thanks purchase amount, if any (nullable).`}),_jsx(ResponseField,{name:`video_id`,type:`string`,id:`param-video-id-2`,children:`The video id the comment belongs to (nullable).`})]})]}),`\n`,_jsx(ResponseField,{name:`comment_count`,type:`integer`,id:`param-comment-count`,children:`Total comment count on the video (nullable).`}),`\n`,_jsxs(ResponseField,{name:`sorting_tokens`,type:`array`,id:`param-sorting-tokens`,children:[`Sort options with `,_jsx(_components.code,{children:`title`}),` and `,_jsx(_components.code,{children:`token`}),` (e.g. `,_jsx(_components.code,{children:`top`}),`, `,_jsx(_components.code,{children:`newest`}),`).`]}),`\n`,_jsx(ResponseField,{name:`continuation`,type:`string`,id:`param-continuation-1`,children:`Token to fetch the next page (nullable when no more pages).`}),`\n`,_jsx(Heading,{level:`3`,id:`example-response`,children:`Example Response`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`24`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`24`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"video_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"dQw4w9WgXcQ\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"comments\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"comment_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"UgxKREWxIgDrw8w2e_Z4AaABAg\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"text\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Who's still listening in 2026?\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"published_time_text\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"3 days ago\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"author\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"@musiclover\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"author_channel_id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"UCabc123\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"author_is_verified\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`false`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"like_count\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1820`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"reply_count\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`42`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"is_pinned\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`false`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"is_reply\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`false`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"replies_continuation\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Eg0SC2RRdzR3OVdnWGNR...\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"comment_count\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`2400000`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"sorting_tokens\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"title\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Top comments\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"token\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"...\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"title\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Newest first\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"token\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"...\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"continuation\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Eg0SC2RRdzR3OVdnWGNRGAYyJg...\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsx(Heading,{level:`2`,id:`replies`,children:`Replies`}),`\n`,_jsx(_components.p,{children:`To fetch replies to a specific comment, call:`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`2`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`2`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#8250DF`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"https://scrapebadger.com/v1/youtube/videos/dQw4w9WgXcQ/comments/UgxKREWxIgDrw8w2e_Z4AaABAg/replies\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` -H `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"X-API-Key: YOUR_API_KEY\"`})]}),`\n`]})})}),`\n`,_jsxs(_components.p,{children:[`This returns a `,_jsx(_components.code,{children:`RepliesResponse`}),` with `,_jsx(_components.code,{children:`comment_id`}),`, a `,_jsx(_components.code,{children:`replies`}),` array (same `,_jsx(_components.code,{children:`Comment`}),` shape), and a `,_jsx(_components.code,{children:`continuation`}),` token. You can also pass the `,_jsx(_components.code,{children:`replies_continuation`}),` value from a comment directly as the `,_jsx(_components.code,{children:`continuation`}),` query parameter.`]}),`\n`,_jsx(Note,{children:_jsxs(_components.p,{children:[`Each comments page and each replies page costs `,_jsx(_components.strong,{children:`8 credits`}),`. Failed requests are not charged.`]})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Video Comments","openapi":"GET /v1/youtube/videos/{video_id}/comments","description":"Top-level comments for a YouTube video, paginated by continuation token.","href":"/api-reference/endpoint/youtube/video-comments"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Path Parameters","slug":"path-parameters","depth":2,"children":[]},{"title":"Query Parameters","slug":"query-parameters","depth":2,"children":[]},{"title":"Response","slug":"response","depth":2,"children":[{"title":"Example Response","slug":"example-response","depth":3,"children":[]}]},{"title":"Replies","slug":"replies","depth":2,"children":[]}],"codeExamples":{}},"jsLinks":[],"subdomain":"scrapebadger","siteName":"ScrapeBadger","title":"Video Comments - ScrapeBadger","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-11-12T10:30:11.130Z","originalFileLocation":"api-reference/endpoint/youtube/video-comments.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Top-level comments for a YouTube video, paginated by continuation token.\">\u003cmeta data-mint-head name=\"application-name\" content=\"ScrapeBadger\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/scrapebadger/B7QFAHnHtKjf5kVI/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/scrapebadger/B7QFAHnHtKjf5kVI/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/scrapebadger/B7QFAHnHtKjf5kVI/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/scrapebadger/B7QFAHnHtKjf5kVI/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/scrapebadger/B7QFAHnHtKjf5kVI/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/scrapebadger/B7QFAHnHtKjf5kVI/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/scrapebadger/B7QFAHnHtKjf5kVI/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/scrapebadger/B7QFAHnHtKjf5kVI/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/scrapebadger/B7QFAHnHtKjf5kVI/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Video Comments - ScrapeBadger\">\u003cmeta data-mint-head property=\"og:description\" content=\"Top-level comments for a YouTube video, paginated by continuation token.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"ScrapeBadger\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.scrapebadger.com/api-reference/endpoint/youtube/video-comments\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://scrapebadger.mintlify.site/_mintlify/api/og/v2?division=Videos+%26+Shorts\u0026amp;title=Video+Comments\u0026amp;description=Top-level+comments+for+a+YouTube+video%2C+paginated+by+continuation+token.\u0026amp;theme=c13b03cf41cd0fda854fce47\u0026amp;signature=461c06de2a96ab65c175c58ce88fa944f980ec2ff5c080d8f0f3260f6ed98edc\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Video Comments - ScrapeBadger\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Top-level comments for a YouTube video, paginated by continuation token.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://scrapebadger.mintlify.site/_mintlify/api/og/v2?division=Videos+%26+Shorts\u0026amp;title=Video+Comments\u0026amp;description=Top-level+comments+for+a+YouTube+video%2C+paginated+by+continuation+token.\u0026amp;theme=c13b03cf41cd0fda854fce47\u0026amp;signature=461c06de2a96ab65c175c58ce88fa944f980ec2ff5c080d8f0f3260f6ed98edc\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/scrapebadger/B7QFAHnHtKjf5kVI/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"ScrapeBadger\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#16A34A\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.scrapebadger.com/api-reference/endpoint/youtube/video-comments\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/endpoint/youtube/video-comments.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.scrapebadger.com/#organization\",\"name\":\"ScrapeBadger\",\"url\":\"https://docs.scrapebadger.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/scrapebadger/gnGR4eL2rEJ4E7w3/logo/light.png?fit=max\u0026auto=format\u0026n=gnGR4eL2rEJ4E7w3\u0026q=85\u0026s=d393e30b48870f8495f788d1fad76ad3\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.scrapebadger.com#website\",\"name\":\"ScrapeBadger\",\"url\":\"https://docs.scrapebadger.com\",\"publisher\":{\"@id\":\"https://docs.scrapebadger.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.scrapebadger.com/api-reference/endpoint/youtube/video-comments#webpage\",\"url\":\"https://docs.scrapebadger.com/api-reference/endpoint/youtube/video-comments\",\"name\":\"Video Comments\",\"description\":\"Top-level comments for a YouTube video, paginated by continuation token.\",\"dateModified\":\"2026-11-12T10:30:11.130Z\",\"isPartOf\":{\"@id\":\"https://docs.scrapebadger.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.scrapebadger.com/api-reference/endpoint/youtube/video-comments#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.scrapebadger.com/api-reference/endpoint/youtube/video-comments#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Videos \u0026 Shorts\",\"item\":\"https://docs.scrapebadger.com/api-reference/endpoint/youtube/get-video\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Video Comments\",\"item\":\"https://docs.scrapebadger.com/api-reference/endpoint/youtube/video-comments\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.scrapebadger.com/api-reference/endpoint/youtube/video-comments#apireference\",\"headline\":\"Video Comments\",\"name\":\"Video Comments\",\"description\":\"Top-level comments for a YouTube video, paginated by continuation token.\",\"url\":\"https://docs.scrapebadger.com/api-reference/endpoint/youtube/video-comments\",\"mainEntityOfPage\":{\"@id\":\"https://docs.scrapebadger.com/api-reference/endpoint/youtube/video-comments#webpage\"},\"dateModified\":\"2026-11-12T10:30:11.130Z\",\"publisher\":{\"@id\":\"https://docs.scrapebadger.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.scrapebadger.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"ScrapeBadger\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"ScrapeBadger\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-reference/endpoint/youtube/video-comments.md","siteName":"ScrapeBadger","nav":{"global":{"anchors":[{"anchor":"Dashboard","icon":"gauge","href":"https://scrapebadger.com/dashboard?utm_source=docs\u0026utm_medium=referral"},{"anchor":"Pricing","icon":"credit-card","href":"https://scrapebadger.com/pricing"}]},"tabs":[{"tab":"Getting Started","pages":[{"title":"Getting Started","href":""}]},{"tab":"Web Scraping","pages":[{"title":"Web Scraping","href":"/web-scraping/overview"}]},{"tab":"Google","pages":[{"title":"Google","href":"/google/overview"}]},{"tab":"Baidu","pages":[{"title":"Baidu","href":"/baidu/overview"}]},{"tab":"Bing","pages":[{"title":"Bing","href":"/bing/overview"}]},{"tab":"DuckDuckGo","pages":[{"title":"DuckDuckGo","href":"/duckduckgo/overview"}]},{"tab":"Yahoo","pages":[{"title":"Yahoo","href":"/yahoo/overview"}]},{"tab":"Yandex","pages":[{"title":"Yandex","href":"/yandex/overview"}]},{"tab":"Naver","pages":[{"title":"Naver","href":"/naver/overview"}]},{"tab":"Reddit","pages":[{"title":"Reddit","href":"/reddit/overview"}]},{"tab":"Vinted","pages":[{"title":"Vinted","href":"/vinted/overview"}]},{"tab":"Depop","pages":[{"title":"Depop","href":"/depop/overview"}]},{"tab":"Wallapop","pages":[{"title":"Wallapop","href":"/wallapop/overview"}]},{"tab":"LinkedIn","pages":[{"title":"LinkedIn","href":"/linkedin/overview"}]},{"tab":"Amazon","pages":[{"title":"Amazon","href":"/amazon/overview"}]},{"tab":"eBay","pages":[{"title":"eBay","href":"/ebay/overview"}]},{"tab":"Walmart","pages":[{"title":"Walmart","href":"/walmart/overview"}]},{"tab":"Google Play","pages":[{"title":"Google Play","href":"/google-play/overview"}]},{"tab":"App Store","pages":[{"title":"App Store","href":"/app-store/overview"}]},{"tab":"Leboncoin","pages":[{"title":"Leboncoin","href":"/leboncoin/overview"}]},{"tab":"Gumtree","pages":[{"title":"Gumtree","href":"/gumtree/overview"}]},{"tab":"Immobiliare","pages":[{"title":"Immobiliare","href":"/immobiliare/overview"}]},{"tab":"LoopNet","pages":[{"title":"LoopNet","href":"/loopnet/overview"}]},{"tab":"Airbnb","pages":[{"title":"Airbnb","href":"/airbnb/overview"}]},{"tab":"Booking.com","pages":[{"title":"Booking.com","href":"/booking/overview"}]},{"tab":"Apartments.com","pages":[{"title":"Apartments.com","href":"/apartments/overview"}]},{"tab":"Realtor","pages":[{"title":"Realtor","href":"/realtor/overview"}]},{"tab":"Zillow","pages":[{"title":"Zillow","href":"/zillow/overview"}]},{"tab":"YouTube","groups":[{"group":"Overview","pages":[{"title":"YouTube Scraper by ScrapeBadger — Overview","href":"/youtube/overview"}]},{"group":"Search \u0026 Discovery","pages":[{"title":"Search","openapi":"GET /v1/youtube/search","href":"/api-reference/endpoint/youtube/search"},{"title":"Trending","openapi":"GET /v1/youtube/trending","href":"/api-reference/endpoint/youtube/trending"},{"title":"Hashtag Videos","openapi":"GET /v1/youtube/hashtags/{tag}","href":"/api-reference/endpoint/youtube/hashtag"},{"title":"Music Search","openapi":"GET /v1/youtube/music/search","href":"/api-reference/endpoint/youtube/music-search"}]},{"group":"Videos \u0026 Shorts","pages":[{"title":"Get Video","openapi":"GET /v1/youtube/videos/{video_id}","description":"Full detail for a single YouTube video (metadata, engagement, chapters, heatmap, live details, ...).","href":"/api-reference/endpoint/youtube/get-video"},{"title":"Video Comments","openapi":"GET /v1/youtube/videos/{video_id}/comments","href":"/api-reference/endpoint/youtube/video-comments"},{"title":"Video Transcript","openapi":"GET /v1/youtube/videos/{video_id}/transcript","description":"Timed transcript for a YouTube video, with ready-to-use SRT, VTT, and plain-text exports.","href":"/api-reference/endpoint/youtube/video-transcript"},{"title":"Get Short","openapi":"GET /v1/youtube/shorts/{video_id}","href":"/api-reference/endpoint/youtube/short"}]},{"group":"Channels","pages":[{"title":"Get Channel","openapi":"GET /v1/youtube/channels/{channel_id}","href":"/api-reference/endpoint/youtube/channel"},{"title":"Channel Videos","openapi":"GET /v1/youtube/channels/{channel_id}/videos","href":"/api-reference/endpoint/youtube/channel-videos"},{"title":"Resolve Channel","openapi":"GET /v1/youtube/channels/resolve","href":"/api-reference/endpoint/youtube/resolve-channel"}]},{"group":"Playlists \u0026 Community","pages":[{"title":"Get Playlist","openapi":"GET /v1/youtube/playlists/{playlist_id}","href":"/api-reference/endpoint/youtube/playlist"},{"title":"Playlist Items","openapi":"GET /v1/youtube/playlists/{playlist_id}/items","href":"/api-reference/endpoint/youtube/playlist-items"},{"title":"Community Post","openapi":"GET /v1/youtube/posts/{post_id}","href":"/api-reference/endpoint/youtube/community-post"}]}]},{"tab":"Instagram","pages":[{"title":"Instagram","href":"/instagram/overview"}]},{"tab":"Facebook","pages":[{"title":"Facebook","href":"/facebook/overview"}]},{"tab":"TikTok","pages":[{"title":"TikTok","href":"/tiktok/overview"}]},{"tab":"Twitter","pages":[{"title":"Twitter","href":"/api-reference/introduction"}]},{"tab":"ChatGPT","pages":[{"title":"ChatGPT","href":"/chatgpt/overview"}]},{"tab":"Grok","pages":[{"title":"Grok","href":"/grok/overview"}]},{"tab":"Amazon Rufus","pages":[{"title":"Amazon Rufus","href":"/rufus/overview"}]},{"tab":"Gemini","pages":[{"title":"Gemini","href":"/gemini/overview"}]},{"tab":"Perplexity","pages":[{"title":"Perplexity","href":"/api-reference/endpoint/perplexity/ask"}]},{"tab":"Copilot","pages":[{"title":"Copilot","href":"/copilot/overview"}]},{"tab":"MCP Server","pages":[{"title":"MCP Server","href":"/mcp/overview"}]},{"tab":"CLI","pages":[{"title":"CLI","href":"/cli/overview"}]},{"tab":"ASOS","pages":[{"title":"ASOS","href":"/asos/overview"}]},{"tab":"Target","pages":[{"title":"Target","href":"/target/overview"}]},{"tab":"Etsy","pages":[{"title":"Etsy","href":"/etsy/overview"}]},{"tab":"AliExpress","pages":[{"title":"AliExpress","href":"/aliexpress/overview"}]},{"tab":"Best Buy","pages":[{"title":"Best Buy","href":"/bestbuy/overview"}]},{"tab":"GitHub","pages":[{"title":"GitHub","href":"/github/overview"}]},{"tab":"AutoScout24","pages":[{"title":"AutoScout24","href":"/autoscout24/overview"}]},{"tab":"Brave","pages":[{"title":"Brave","href":"/brave/overview"}]},{"tab":"Yelp","pages":[{"title":"Yelp","href":"/yelp/overview"}]}]},"basePath":"","title":"Video Comments - ScrapeBadger","buildId":"dpl_G2Qd45vZZ7MkBiGF9yYx8ZsbbKXX","deploymentId":"dpl_G2Qd45vZZ7MkBiGF9yYx8ZsbbKXX","dynamics":["b0f84f53ff"],"chunks":["Page-DSpdRuhM.js","ApiExamples-ChURybxL.js","utils-m0thOP-_.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","cloneDeep-izs3Hzxb.js","utils-D13EKcfm.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-DL8CiXq2.js","shallow-DI2-YB2E.js","snippetPresets-D3s4lmAH.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","getApiPlaygroundDisplay-DxbW7b_y.js","CodeSnippet-CiNYS0pP.js","CodeSnippets-BT87bThu.js","getPastedJson-F_g_IrFQ.js","icon-CCIG5BAs.js","MethodPill-DY3E0jwx.js","DuplicateIcon-BN88xnEg.js","createIcon-VCCc5HO5.js","DynamicMarkdown-CaSwclgK.js","addUniqueKeysToSchema--XTdfsEb.js","SectionHeading-DXV8nWhc.js","conditional-requirements-CFM0id0Q.js","axios-vUo_bRtp.js"]}